Track GSTR Auth Link Status
Introduction
This API is used for fetching the status of the end-customers authentication journey for GSTR Analytics by passing the Request ID generated during Create GSTR Authlink. You will require an authorization token to use this API. This authorization token will be generated by Signzy for you and will be used in each API call. Please contact [email protected] for this.
cURL
curl --location 'https://api-preproduction.signzy.app/api/v3/underwriting/fetch-gstr-status' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Access-Token>' \
--data '{
"requestId": "c56cae7b-a1d1-43f4-b2e1-1d6e460360ca"
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"requestId": "4d3ef1bd-bc56-4cc5-9091-f7ddb5de56e9"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
requestId | An unique UUID generated during Create GSTR Authlink | String | COMPULSORY |
Response Data
{
"result": {
"requestId": "4d3ef1bd-bc56-4cc5-9091-f7ddb5de56e9",
"message": "SUCCESS",
"journeyStatus": 1003,
"journyStatusMessage": "Auth link opened, but the authorization via password/OTP failed after 7 attempts"
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output. | Object | COMPULSORY |
requestId | This is an unique 36 character long alphanumeric string for which status is being fetched | String | COMPULSORY |
message | It indicates whether the status has been successfully fetched or not | String | COMPULSORY |
journeyStatus | Status code which denotes the journey of the customer while authenticating. Total four statuses are supported - 1000, 1001, 1002, 1003 | String | COMPULSORY |
journyStatusMessage | This provides more detailed description of the status of the customer | String | COMPULSORY |
Sample Status Codes And Messages
{
"result": {
"requestId": "4d3ef1bd-bc56-4cc5-9091-f7ddb5de56e9",
"message": "SUCCESS",
"journeyStatus": 1003,
"journyStatusMessage": "Auth link opened, but the authorization via password/OTP failed after 7 attempts"
}
}Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].